Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xmldb
Interface CollectionManagementServiceImpl

All Superinterfaces:
  CollectionManagementService, Configurable, Service

All Known Implementing Classes:
  LocalCollectionManagementService, RemoteCollectionManagementService

public interface CollectionManagementServiceImpl
extends CollectionManagementService

Extends the `CollectionManagementService` interface with extensions specific to eXist, in particular moving and copying collections and resources.

Author:
  wolf

Field Summary

Fields inherited from interface org.xmldb.api.modules.CollectionManagementService
`SERVICE_NAME`

Method Summary
`void` | `copy(java.lang.String collection, java.lang.String destination, java.lang.String newName)` Deprecated. Use XmldbURI version instead
`void` | `copy(XmldbURI collection, XmldbURI destination, XmldbURI newName)`
`void` | `copyResource(java.lang.String resourcePath, java.lang.String destinationPath, java.lang.String newName)` Deprecated. Use XmldbURI version instead
`void` | `copyResource(XmldbURI resourcePath, XmldbURI destinationPath, XmldbURI newName)`
`Collection` | `createCollection(java.lang.String collName)` Creates a new `Collection` in the database.
`Collection` | `createCollection(java.lang.String collName, java.util.Date created)` Deprecated. Use XmldbURI version instead
`Collection` | `createCollection(XmldbURI collName)`
`Collection` | `createCollection(XmldbURI collName, java.util.Date created)`
`void` | `move(java.lang.String collection, java.lang.String destination, java.lang.String newName)` Deprecated. Use XmldbURI version instead
`void` | `move(XmldbURI collection, XmldbURI destination, XmldbURI newName)`
`void` | `moveResource(java.lang.String resourcePath, java.lang.String destinationPath, java.lang.String newName)` Deprecated. Use XmldbURI version instead
`void` | `moveResource(XmldbURI resourcePath, XmldbURI destinationPath, XmldbURI newName)`
`void` | `removeCollection(java.lang.String collName)` Removes a named `Collection` from the system.
`void` | `removeCollection(XmldbURI collName)`

Methods inherited from interface org.xmldb.api.base.Service
`getName, getVersion, setCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Method Detail

### move

    public void move(java.lang.String collection,
                     java.lang.String destination,
                     java.lang.String newName)
              throws XMLDBException

  Deprecated. Use XmldbURI version instead

  Throws:
    `XMLDBException`

### moveResource

    public void moveResource(java.lang.String resourcePath,
                             java.lang.String destinationPath,
                             java.lang.String newName)
                      throws XMLDBException

  Deprecated. Use XmldbURI version instead

  Throws:
    `XMLDBException`

### copyResource

    public void copyResource(java.lang.String resourcePath,
                             java.lang.String destinationPath,
                             java.lang.String newName)
                      throws XMLDBException

  Deprecated. Use XmldbURI version instead

  Throws:
    `XMLDBException`

### copy

    public void copy(java.lang.String collection,
                     java.lang.String destination,
                     java.lang.String newName)
              throws XMLDBException

  Deprecated. Use XmldbURI version instead

  Throws:
    `XMLDBException`

### createCollection

    public Collection createCollection(java.lang.String collName,
                                       java.util.Date created)
                                throws XMLDBException

  Deprecated. Use XmldbURI version instead

  Throws:
    `XMLDBException`

### move

    public void move(XmldbURI collection,
                     XmldbURI destination,
                     XmldbURI newName)
              throws XMLDBException

  Throws:
    `XMLDBException`

### moveResource

    public void moveResource(XmldbURI resourcePath,
                             XmldbURI destinationPath,
                             XmldbURI newName)
                      throws XMLDBException

  Throws:
    `XMLDBException`

### copyResource

    public void copyResource(XmldbURI resourcePath,
                             XmldbURI destinationPath,
                             XmldbURI newName)
                      throws XMLDBException

  Throws:
    `XMLDBException`

### copy

    public void copy(XmldbURI collection,
                     XmldbURI destination,
                     XmldbURI newName)
              throws XMLDBException

  Throws:
    `XMLDBException`

### createCollection

    public Collection createCollection(XmldbURI collName,
                                       java.util.Date created)
                                throws XMLDBException

  Throws:
    `XMLDBException`

### createCollection

    public Collection createCollection(java.lang.String collName)
                                throws XMLDBException

  Deprecated. Use XmldbURI version instead

  Description copied from interface: `CollectionManagementService`
  Creates a new `Collection` in the database. The default configuration of the database is determined by the implementer. The new `Collection` will be created relative to the `Collection` from which the `CollectionManagementService` was retrieved.

  Specified by:
    `createCollection` in interface `CollectionManagementService`
  Parameters:
    `collName` - The name of the collection to create.
  Returns:
    The created `Collection` instance.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### createCollection

    public Collection createCollection(XmldbURI collName)
                                throws XMLDBException

  Throws:
    `XMLDBException`

### removeCollection

    public void removeCollection(java.lang.String collName)
                          throws XMLDBException

  Deprecated. Use XmldbURI version instead

  Description copied from interface: `CollectionManagementService`
  Removes a named `Collection` from the system. The name for the `Collection` to remove is relative to the `Collection` from which the `CollectionManagementService` was retrieved.

  Specified by:
    `removeCollection` in interface `CollectionManagementService`
  Parameters:
    `collName` - The name of the collection to remove.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### removeCollection

    public void removeCollection(XmldbURI collName)
                          throws XMLDBException

  Throws:
    `XMLDBException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.